Get Auth Info
curl --request GET \
--url https://api.immoteur.com/public/v1/auth \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.immoteur.com/public/v1/auth"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.immoteur.com/public/v1/auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "buyer@example.com",
"tokenCreatedAt": "2025-09-01T10:15:30Z",
"tokenName": "prod-ci-key-1",
"meta": {
"subscriptionPlan": "pro200",
"dataAccessLimit": {
"departments": [
"75",
"92"
],
"sirens": [
"123456789"
],
"sirets": [
"12345678900011"
]
}
}
}{
"code": "resource_not_found",
"detail": "The requested resource could not be found.",
"instance": "/public/v1/properties/019c12dc-339f-72ce-98db-663b44c0d924",
"status": 404,
"title": "Resource not found",
"traceId": "b94f4db5-2f5e-4b8f-9dd0-f2fe5c7a7a4f",
"type": "https://docs.immoteur.com/problems/resource_not_found"
}{
"code": "resource_not_found",
"detail": "The requested resource could not be found.",
"instance": "/public/v1/properties/019c12dc-339f-72ce-98db-663b44c0d924",
"status": 404,
"title": "Resource not found",
"traceId": "b94f4db5-2f5e-4b8f-9dd0-f2fe5c7a7a4f",
"type": "https://docs.immoteur.com/problems/resource_not_found"
}{
"code": "resource_not_found",
"detail": "The requested resource could not be found.",
"instance": "/public/v1/properties/019c12dc-339f-72ce-98db-663b44c0d924",
"status": 404,
"title": "Resource not found",
"traceId": "b94f4db5-2f5e-4b8f-9dd0-f2fe5c7a7a4f",
"type": "https://docs.immoteur.com/problems/resource_not_found"
}{
"code": "resource_not_found",
"detail": "The requested resource could not be found.",
"instance": "/public/v1/properties/019c12dc-339f-72ce-98db-663b44c0d924",
"status": 404,
"title": "Resource not found",
"traceId": "b94f4db5-2f5e-4b8f-9dd0-f2fe5c7a7a4f",
"type": "https://docs.immoteur.com/problems/resource_not_found"
}{
"code": "resource_not_found",
"detail": "The requested resource could not be found.",
"instance": "/public/v1/properties/019c12dc-339f-72ce-98db-663b44c0d924",
"status": 404,
"title": "Resource not found",
"traceId": "b94f4db5-2f5e-4b8f-9dd0-f2fe5c7a7a4f",
"type": "https://docs.immoteur.com/problems/resource_not_found"
}{
"code": "resource_not_found",
"detail": "The requested resource could not be found.",
"instance": "/public/v1/properties/019c12dc-339f-72ce-98db-663b44c0d924",
"status": 404,
"title": "Resource not found",
"traceId": "b94f4db5-2f5e-4b8f-9dd0-f2fe5c7a7a4f",
"type": "https://docs.immoteur.com/problems/resource_not_found"
}Info
Get Auth Info
Returns the authenticated user’s email and token information as a simple test endpoint.
GET
/
auth
Get Auth Info
Autorisations
Send your Immoteur Personal Access Token in the Authorization header:
Authorization: Bearer <token>
You can create and manage your Personal Access Tokens here: https://immoteur.com/dashboard/settings status: current: available
Réponse
Authenticated account and token information
Email address of the authenticated account
Exemple:
"buyer@example.com"
Show child attributes
Show child attributes
Creation date of the token
Exemple:
"2025-09-01T10:15:30Z"
Name of the current auth token
Exemple:
"prod-ci-key-1"
⌘I